import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { IUserDataInitializationService } from "vscode/vscode/vs/workbench/services/userData/browser/userDataInit.service";
export interface IUserDataInitializer {
    requiresInitialization(): Promise<boolean>;
    whenInitializationFinished(): Promise<void>;
    initializeRequiredResources(): Promise<void>;
    initializeInstalledExtensions(instantiationService: IInstantiationService): Promise<void>;
    initializeOtherResources(instantiationService: IInstantiationService): Promise<void>;
}
export declare class UserDataInitializationService implements IUserDataInitializationService {
    private readonly initializers;
    _serviceBrand: any;
    constructor(initializers?: IUserDataInitializer[]);
    whenInitializationFinished(): Promise<void>;
    requiresInitialization(): Promise<boolean>;
    initializeRequiredResources(): Promise<void>;
    initializeOtherResources(instantiationService: IInstantiationService): Promise<void>;
    initializeInstalledExtensions(instantiationService: IInstantiationService): Promise<void>;
}
