import { IFileService } from "vscode/vscode/vs/platform/files/common/files.service";
import { ILogService } from "vscode/vscode/vs/platform/log/common/log.service";
import { IProfileResource, IProfileResourceChildTreeItem, IProfileResourceInitializer, IProfileResourceTreeItem } from "@codingame/monaco-vscode-e72c94ca-257a-5b75-8b68-5a5fa3c18255-common/vscode/vs/workbench/services/userDataProfile/common/userDataProfile";
import { IUserDataProfileService } from "vscode/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
import { IUserDataSyncUtilService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { ITreeItemCheckboxState, TreeItemCollapsibleState } from "vscode/vscode/vs/workbench/common/views";
import { IUserDataProfile, ProfileResourceType } from "vscode/vscode/vs/platform/userDataProfile/common/userDataProfile";
import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { IUriIdentityService } from "vscode/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
interface ISettingsContent {
    settings: string | null;
}
export declare class SettingsResourceInitializer implements IProfileResourceInitializer {
    private readonly userDataProfileService;
    private readonly fileService;
    private readonly logService;
    constructor(userDataProfileService: IUserDataProfileService, fileService: IFileService, logService: ILogService);
    initialize(content: string): Promise<void>;
}
export declare class SettingsResource implements IProfileResource {
    private readonly fileService;
    private readonly userDataSyncUtilService;
    private readonly logService;
    constructor(fileService: IFileService, userDataSyncUtilService: IUserDataSyncUtilService, logService: ILogService);
    getContent(profile: IUserDataProfile): Promise<string>;
    getSettingsContent(profile: IUserDataProfile): Promise<ISettingsContent>;
    apply(content: string, profile: IUserDataProfile): Promise<void>;
    private getIgnoredSettings;
    private getLocalFileContent;
}
export declare class SettingsResourceTreeItem implements IProfileResourceTreeItem {
    private readonly profile;
    private readonly uriIdentityService;
    private readonly instantiationService;
    readonly type = ProfileResourceType.Settings;
    readonly handle = ProfileResourceType.Settings;
    readonly label: {
        label: string;
    };
    readonly collapsibleState = TreeItemCollapsibleState.Expanded;
    checkbox: ITreeItemCheckboxState | undefined;
    constructor(profile: IUserDataProfile, uriIdentityService: IUriIdentityService, instantiationService: IInstantiationService);
    getChildren(): Promise<IProfileResourceChildTreeItem[]>;
    hasContent(): Promise<boolean>;
    getContent(): Promise<string>;
    isFromDefaultProfile(): boolean;
}
export {};
