import { ResourceSet } from "vscode/vscode/vs/base/common/map";
import { URI } from "vscode/vscode/vs/base/common/uri";
import { IFileService } from "vscode/vscode/vs/platform/files/common/files.service";
import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { IUriIdentityService } from "vscode/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
import { IUserDataProfile, ProfileResourceType } from "vscode/vscode/vs/platform/userDataProfile/common/userDataProfile";
import { ITreeItemCheckboxState, TreeItemCollapsibleState } from "vscode/vscode/vs/workbench/common/views";
import { IProfileResource, IProfileResourceChildTreeItem, IProfileResourceInitializer, IProfileResourceTreeItem } from "@codingame/monaco-vscode-e72c94ca-257a-5b75-8b68-5a5fa3c18255-common/vscode/vs/workbench/services/userDataProfile/common/userDataProfile";
import { IUserDataProfileService } from "vscode/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
export declare class SnippetsResourceInitializer implements IProfileResourceInitializer {
    private readonly userDataProfileService;
    private readonly fileService;
    private readonly uriIdentityService;
    constructor(userDataProfileService: IUserDataProfileService, fileService: IFileService, uriIdentityService: IUriIdentityService);
    initialize(content: string): Promise<void>;
}
export declare class SnippetsResource implements IProfileResource {
    private readonly fileService;
    private readonly uriIdentityService;
    constructor(fileService: IFileService, uriIdentityService: IUriIdentityService);
    getContent(profile: IUserDataProfile, excluded?: ResourceSet): Promise<string>;
    apply(content: string, profile: IUserDataProfile): Promise<void>;
    private getSnippets;
    getSnippetsResources(profile: IUserDataProfile, excluded?: ResourceSet): Promise<URI[]>;
}
export declare class SnippetsResourceTreeItem implements IProfileResourceTreeItem {
    private readonly profile;
    private readonly instantiationService;
    private readonly uriIdentityService;
    readonly type = ProfileResourceType.Snippets;
    readonly handle: string;
    readonly label: {
        label: string;
    };
    readonly collapsibleState = TreeItemCollapsibleState.Collapsed;
    checkbox: ITreeItemCheckboxState | undefined;
    private readonly excludedSnippets;
    constructor(profile: IUserDataProfile, instantiationService: IInstantiationService, uriIdentityService: IUriIdentityService);
    getChildren(): Promise<IProfileResourceChildTreeItem[] | undefined>;
    hasContent(): Promise<boolean>;
    getContent(): Promise<string>;
    isFromDefaultProfile(): boolean;
}
