import { IStorageService } from "vscode/vscode/vs/platform/storage/common/storage.service";
import { IFileService } from "vscode/vscode/vs/platform/files/common/files.service";
import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { ILogService } from "vscode/vscode/vs/platform/log/common/log.service";
import { IProductService } from "vscode/vscode/vs/platform/product/common/productService.service";
import { IRequestService } from "vscode/vscode/vs/platform/request/common/request.service";
import { IUserDataSyncStoreManagementService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUriIdentityService } from "vscode/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
import { IUserDataProfilesService } from "vscode/vscode/vs/platform/userDataProfile/common/userDataProfile.service";
import { IBrowserWorkbenchEnvironmentService } from "vscode/vscode/vs/workbench/services/environment/browser/environmentService.service";
import { IUserDataInitializer } from "../../userData/browser/userDataInit.js";
import { ISecretStorageService } from "vscode/vscode/vs/platform/secrets/common/secrets.service";
export declare class UserDataSyncInitializer implements IUserDataInitializer {
    private readonly environmentService;
    private readonly secretStorageService;
    private readonly userDataSyncStoreManagementService;
    private readonly fileService;
    private readonly userDataProfilesService;
    private readonly storageService;
    private readonly productService;
    private readonly requestService;
    private readonly logService;
    private readonly uriIdentityService;
    _serviceBrand: any;
    private readonly initialized;
    private readonly initializationFinished;
    private globalStateUserData;
    constructor(environmentService: IBrowserWorkbenchEnvironmentService, secretStorageService: ISecretStorageService, userDataSyncStoreManagementService: IUserDataSyncStoreManagementService, fileService: IFileService, userDataProfilesService: IUserDataProfilesService, storageService: IStorageService, productService: IProductService, requestService: IRequestService, logService: ILogService, uriIdentityService: IUriIdentityService);
    private _userDataSyncStoreClientPromise;
    private createUserDataSyncStoreClient;
    private initializeUserDataSyncStore;
    whenInitializationFinished(): Promise<void>;
    requiresInitialization(): Promise<boolean>;
    initializeRequiredResources(): Promise<void>;
    initializeOtherResources(instantiationService: IInstantiationService): Promise<void>;
    private initializeExtensions;
    private initializeInstalledExtensionsPromise;
    initializeInstalledExtensions(instantiationService: IInstantiationService): Promise<void>;
    private initializeNewExtensionsPromise;
    private initializeNewExtensions;
    private extensionsPreviewInitializerPromise;
    private getExtensionsPreviewInitializer;
    private initialize;
    private createSyncResourceInitializer;
}
