import { IKeybindingService } from "vscode/vscode/vs/platform/keybinding/common/keybinding.service";
import { IUserDataSyncUtilService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IStringDictionary } from "vscode/vscode/vs/base/common/collections";
import { FormattingOptions } from "@codingame/monaco-vscode-56402b83-4a60-5b15-86f9-71fe99c32744-common/vscode/vs/base/common/jsonFormatter";
import { URI } from "vscode/vscode/vs/base/common/uri";
import { ITextModelService } from "vscode/vscode/vs/editor/common/services/resolverService";
import { ITextResourcePropertiesService, ITextResourceConfigurationService } from "vscode/vscode/vs/editor/common/services/textResourceConfiguration";
export declare class UserDataSyncUtilService implements IUserDataSyncUtilService {
    private readonly keybindingsService;
    private readonly textModelService;
    private readonly textResourcePropertiesService;
    private readonly textResourceConfigurationService;
    readonly _serviceBrand: undefined;
    constructor(keybindingsService: IKeybindingService, textModelService: ITextModelService, textResourcePropertiesService: ITextResourcePropertiesService, textResourceConfigurationService: ITextResourceConfigurationService);
    resolveDefaultCoreIgnoredSettings(): Promise<string[]>;
    resolveUserBindings(userBindings: string[]): Promise<IStringDictionary<string>>;
    resolveFormattingOptions(resource: URI): Promise<FormattingOptions>;
}
